---
updatedAt: 2026-09-18T12:09:49.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Commissioning for users

Use this for activating the (beta) native OCPP implementation on an Easee-operated charger.

<Callout icon="far fa-info" theme="info">
  ### Please ensure that your charger is running on firmware version >= 344.&#x20;
</Callout>

# Easee OCPP commissioning API

This API offers endpoints for setting default connection configurations, applying connection configurations to a charger, and retrieving saved connection configurations.

The [Commissioning for operators (CPOs)](https://developer.easee.com/docs/ocpp-commissioning-api) covers most of the usage - so this page largly contains the differences and specific endpoint documentation for users with Easee registered accounts.

Three main steps:

1. [Store OCPP configuration](#1-store-ocpp-configuration)
2. [Apply OCPP configuration](#2-apply-ocpp-configuration)
3. [Get configuration details](#3-get-configuration)  (to verify/query stored configuration)

# Prerequisites

1. You need to have Easee account. Please use the [Easee Apps](https://easee.com/en/products/services/app/)  to create an account.
2. The charging site must have Easee selected as the operator before you save and apply the configuration to a charger.

<Callout icon="❗" theme="error">
  ### Before you apply a configuration to your charger, please ensure your charger is connected to WiFi to avoid losing network connectivity.
</Callout>

### Authentication

All API endpoints require a Bearer token for authentication, please make sure this is included in the authorization header of your request, additional info on authentication can be found [here](https://developer.easee.com/docs/authentication-1)

### Base URL

This is the base URL you will need for all of the OCPP endpoints.

```
https://api.easee.com/local-ocpp
```

# Endpoints

## 1. Store OCPP configuration

**Request:**

```
POST /v1/connection-details/{serialNumber}
Content-Type: application/json

{
    "connectivityMode": "DualProtocol",
    "websocketConnectionArgs": {
        "url": "wss://your-ocpp-server.com/ocpp",
        "caCertificate": "-----BEGIN CERTIFICATE-----\nYour CA certificate here\n-----END CERTIFICATE-----",
        "caCertificateDomain": "your-ocpp-server.com"
    },
    "chargePointId": "MyCustomId",  // Optional
    "basicAuthPassword": "your-password"  // Optional
}
```

Stores a specific OCPP configuration for a singular charger.

**Parameters:**

* serialNumber (path, required): Easee's serial number identifying the charger

**Request Body:**

```
{
  "chargePointId": "string",
  "basicAuthPassword": "string",
  "websocketConnectionArgs": {
    "url": "string [required]",
    "caCertificate": "string [required if url is wss]",
    "caCertificateDomain": "string [required if url is wss]"
  },
  "connectivityMode": "OcppOff | DualProtocol [required]"
}
```

**Response Body:**

```
{
    "version": "some-string-with-version-identifier"
}
```

Note: The chargePointId is not required in this request, and if omitted charger point's serial number will be appended to websocket url  by default.

## 2. Apply OCPP configuration

This applies a specific OCPP configuration version to a charger.<br />Requires charger access authorization.
Uses the version identifier from the previous step.
Returns 200 OK on success.

**Request:**

```
POST /v1/connections/chargers/{serialNumber}
Content-Type: application/json

{
    "version": "same-identifier-from-previous-response"
}
```

**Parameters**:

* serialNumber (path, required): Easee's serial number identifying the charger
* version: From previous response

## 3. Get configuration

This retrieves latest stored OCPP connection details for a specific charger.

**Request:**

```
GET /v1/connection-details/{serialNumber}
```

**Parameters:**

* serialNumber (path, required): Serial number identifying the charger

**Response Body:**

```
{
  "chargePointId": "string",
  "basicAuthPassword": "string",
  "websocketConnectionArgs": {
    "url": "string",
    "caCertificate": "string",
    "caCertificateDomain": "string"
  },
  "connectivityMode": "OcppOff | DualProtocol"
}
```

<br />

# Switching off OCPP

To remove a site/charger from OCPP, you have two options in the beta release:<br />**Please Note:** As our offering evolves, this may change.

**Option 1.**

Pair with another operator, for instance, by using the Easee App. When pairing with another operator, the user-provided OCPP configuration is removed.

**Option 2.**

Initiate a new call to the connection-details endpoint, modifying the connectivityMode to `OcppOff`. All other settings should remain unchanged and apply this modification to the charger.